Edit my open suggestion

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
PATCH /case/{caseId}/suggest/{codeId}/{suggestionId}

Changes the proposed configuration of the caller's own open suggestion.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • suggestionId string Required

    Id of the suggestion

  • caseId Required

    Id of the case

  • codeId Required

    Id of the extraction code

application/json

Body Required

  • suggestion object Required
    Hide suggestion attributes Show suggestion attributes object
    • type string Required

      Values are allow_client, share_all, or auto_share. Default value is allow_client.

    • ignoreMediaPermissionAndroid boolean

      Default value is false.

    • origin string
    • enableFileUpload boolean

      Default value is false.

    • enableLocalExport object
      Hide enableLocalExport attributes Show enableLocalExport attributes object
      • formats array[string]

        Default value is [] (empty).

      • defaultConfig object
        Hide defaultConfig attributes Show defaultConfig attributes object
        • chunkType string Required

          Values are year, month, week, day, or none. Default value is none.

        • includeAttachments boolean

          Default value is true.

    • allowClient object
      Hide allowClient attributes Show allowClient attributes object
      • allowSocialApps array[string]

        Default value is [] (empty).

      • allowShareAll boolean

        Default value is false.

    • autoShare object
      Hide autoShare attributes Show autoShare attributes object
      • allowClientApproval boolean
      • allowAdditionalShare boolean
      • searches array[object]
        Hide searches attributes Show searches attributes object
        • type string Required

          Values are name, phone, keywords, or email. Default value is name.

        • values array[string] Required
        • apps array[string]

          Default value is [] (empty).

        • dateRange object
          Hide dateRange attributes Show dateRange attributes object
          • start string Required
          • end string Required
        • exactMatch boolean

          Default value is false.

        • include boolean

          Default value is true.

        • conversationType string Required

          Values are all, dm, or group. Default value is all.

    • shareAll object
      Hide shareAll attributes Show shareAll attributes object
      • apps array[string]
      • includeAttachments boolean

        Default value is true.

      • dateRange object
        Hide dateRange attributes Show dateRange attributes object
        • start string Required
        • end string Required
      • searchesExclude array[object]
        Hide searchesExclude attributes Show searchesExclude attributes object
        • type string Required

          Values are name, phone, keywords, or email. Default value is name.

        • values array[string] Required
        • apps array[string]
        • exactMatch boolean
        • conversationType string Required

          Values are all, dm, or group. Default value is all.

    • dateRange object
      Hide dateRange attributes Show dateRange attributes object
      • start string Required
      • end string Required
    • appConfig object
      Hide appConfig attributes Show appConfig attributes object
      • conversionConcurrency object
        Hide conversionConcurrency attributes Show conversionConcurrency attributes object
        • mediaType string Required

          Values are images, video, audio, or documents.

        • concurrency array[number]
      • compressionConcurrency object
        Hide compressionConcurrency attributes Show compressionConcurrency attributes object
        • mediaType string Required

          Values are images, video, audio, or documents.

        • concurrency array[number]
      • enableLocalMediaConversion boolean

        Default value is false.

      • enableLocalMediaCompression boolean

        Default value is false.

      • enableIosEncryptedBackupExtraction boolean

        Default value is false.

      • allowOnlyEncryptedIosBackup boolean

        Default value is false.

      • autoIncludeSafariData boolean

        Default value is false.

      • autoIncludeNotesData boolean

        Default value is false.

      • autoIncludeContacts boolean

        Default value is false.

      • shareAction string

        Values are share, export, or share_and_export. Default value is share.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • status string Required

        Values are open, approved, rejected, or closed.

      • suggestion object Required
      • previousConfig object | null Required
      • extractionCode string | null Required
      • case string | null Required
      • suggestedBy string | null Required
      • suggestedAt string(date-time) Required
      • approvedBy string | null Required
      • approvedAt string(date-time) | null Required
      • rejectedBy string | null Required
      • rejectedAt string(date-time) | null Required
      • mergedAt string(date-time) | null Required
      • messages array[object] Required
        Hide messages attributes Show messages attributes object
        • text string Required
        • date string(date-time) Required
        • user string | null Required
        • statusUpdate string | null

          Values are open, approved, rejected, or closed.

    • statusCode number Required
    • timestamp string(date-time) Required
PATCH /case/{caseId}/suggest/{codeId}/{suggestionId}
curl \
 --request PATCH 'http://api.example.com/case/{caseId}/suggest/{codeId}/{suggestionId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "suggestion": {
    "type": "allow_client",
    "ignoreMediaPermissionAndroid": false,
    "origin": "string",
    "enableFileUpload": false,
    "enableLocalExport": {
      "formats": [],
      "defaultConfig": {
        "chunkType": "none",
        "includeAttachments": true
      }
    },
    "allowClient": {
      "allowSocialApps": [],
      "allowShareAll": false
    },
    "autoShare": {
      "allowClientApproval": true,
      "allowAdditionalShare": true,
      "searches": [
        {
          "type": "name",
          "values": [
            "string"
          ],
          "apps": [],
          "dateRange": {
            "start": "string",
            "end": "string"
          },
          "exactMatch": false,
          "include": true,
          "conversationType": "all"
        }
      ]
    },
    "shareAll": {
      "apps": [
        "string"
      ],
      "includeAttachments": true,
      "dateRange": {
        "start": "string",
        "end": "string"
      },
      "searchesExclude": [
        {
          "type": "name",
          "values": [
            "string"
          ],
          "apps": [
            "string"
          ],
          "exactMatch": true,
          "conversationType": "all"
        }
      ]
    },
    "dateRange": {
      "start": "string",
      "end": "string"
    },
    "appConfig": {
      "conversionConcurrency": {
        "mediaType": "images",
        "concurrency": [
          42.0
        ]
      },
      "compressionConcurrency": {
        "mediaType": "images",
        "concurrency": [
          42.0
        ]
      },
      "enableLocalMediaConversion": false,
      "enableLocalMediaCompression": false,
      "enableIosEncryptedBackupExtraction": false,
      "allowOnlyEncryptedIosBackup": false,
      "autoIncludeSafariData": false,
      "autoIncludeNotesData": false,
      "autoIncludeContacts": false,
      "shareAction": "share"
    }
  }
}'
Request examples
# Headers
organization: string

# Payload
{
  "suggestion": {
    "type": "allow_client",
    "ignoreMediaPermissionAndroid": false,
    "origin": "string",
    "enableFileUpload": false,
    "enableLocalExport": {
      "formats": [],
      "defaultConfig": {
        "chunkType": "none",
        "includeAttachments": true
      }
    },
    "allowClient": {
      "allowSocialApps": [],
      "allowShareAll": false
    },
    "autoShare": {
      "allowClientApproval": true,
      "allowAdditionalShare": true,
      "searches": [
        {
          "type": "name",
          "values": [
            "string"
          ],
          "apps": [],
          "dateRange": {
            "start": "string",
            "end": "string"
          },
          "exactMatch": false,
          "include": true,
          "conversationType": "all"
        }
      ]
    },
    "shareAll": {
      "apps": [
        "string"
      ],
      "includeAttachments": true,
      "dateRange": {
        "start": "string",
        "end": "string"
      },
      "searchesExclude": [
        {
          "type": "name",
          "values": [
            "string"
          ],
          "apps": [
            "string"
          ],
          "exactMatch": true,
          "conversationType": "all"
        }
      ]
    },
    "dateRange": {
      "start": "string",
      "end": "string"
    },
    "appConfig": {
      "conversionConcurrency": {
        "mediaType": "images",
        "concurrency": [
          42.0
        ]
      },
      "compressionConcurrency": {
        "mediaType": "images",
        "concurrency": [
          42.0
        ]
      },
      "enableLocalMediaConversion": false,
      "enableLocalMediaCompression": false,
      "enableIosEncryptedBackupExtraction": false,
      "allowOnlyEncryptedIosBackup": false,
      "autoIncludeSafariData": false,
      "autoIncludeNotesData": false,
      "autoIncludeContacts": false,
      "shareAction": "share"
    }
  }
}
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "status": "open",
    "suggestion": {
      "type": "share_all"
    },
    "previousConfig": {
      "type": "allow_client"
    },
    "extractionCode": "507f1f77bcf86cd799439012",
    "case": "507f1f77bcf86cd799439011",
    "suggestedBy": "507f1f77bcf86cd799439013",
    "suggestedAt": "2026-01-15T14:30:00.000Z",
    "approvedBy": "string",
    "approvedAt": "2026-05-04T09:42:00Z",
    "rejectedBy": "string",
    "rejectedAt": "2026-05-04T09:42:00Z",
    "mergedAt": "2026-05-04T09:42:00Z",
    "messages": [
      {
        "text": "Please include WhatsApp.",
        "date": "2026-01-15T14:35:00.000Z",
        "user": "507f1f77bcf86cd799439013",
        "statusUpdate": "open"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}